<?php
if(!defined('ABSPATH')) { exit; }

/**Acciones */
if(isset($_POST['action'])) {
    if ( wp_verify_nonce(  $_POST['save_option_nonce'], 'wcv_nonce' ) ) {
        if($_POST['action'] == 'save_options') {
           update_option('_wcv_timeout_limit',sanitize_text_field( $_POST['_wcv_timeout_limit'] ));
           update_option('_wcv_position',sanitize_text_field( $_POST['_wcv_position'] ));
           update_option('_wcv_icon',sanitize_text_field( $_POST['_wcv_icon'] ));
           update_option('_wcv_message',sanitize_textarea_field( $_POST['_wcv_message'] ));
           update_option('_wcv_message_one',sanitize_textarea_field( $_POST['_wcv_message_one'] ));
           if(isset($_POST['_wcv_use_js'])) {
               update_option('_wcv_use_js','1');
           }else{
               update_option('_wcv_use_js','0');
           }
        }
    }
}
?>


<div class="wrap wcvpanel">

    <h1><?=__('Counter Visitor for Woocommerce', 'counter-visitor-for-woocommerce')?></h1>
    <p><?=__('It is not a simple visitor counter, this counter is shown on each product with the number of users who are currently viewing that same product','counter-visitor-for-woocommerce')?></p>
    <?php
    $tab = 'general';
    if($tab == 'general') {
        
        $currentPosition = get_option('_wcv_position','woocommerce_after_add_to_cart_button');
        ?>

        <!--Donate button-->
        <div style="">
            <a href="https://paypal.me/taxarpro" target="_blank" style="text-decoration: none;
    font-size: 18px;
    border: 1px solid #333;
    padding: 10px;
    display: block;
    width: fit-content;
    border-radius: 10px;
    background: #FFF;">🍺 <?=__('You buy me a beer? Click here','counter-visitor-for-woocommerce')?> 🍺</a>
        </div>


        <form method="post">
            <input type="hidden" name="action" value="save_options" />
            <?php wp_nonce_field( 'wcv_nonce', 'save_option_nonce' ); ?>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><?=__('Your site use cache system?', 'counter-visitor-for-woocommerce')?>
                        <p class="description"><?=__('Activate this option if your site uses some type of cache and add \'wcvisitor\' to the plugin cache exceptions','counter-visitor-for-woocommerce')?></p>
                    </th>
                    <td>
                        <label>
                        <input type="checkbox" name="_wcv_use_js" value="1" <?=checked('1', get_option('_wcv_use_js', '0'))?> /></label>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?=__('Duration', 'counter-visitor-for-woocommerce')?>
                        <p class="description"><?=__('Time since last activity of an users to be considered inactive','counter-visitor-for-woocommerce')?></p>
                    </th>
                    <td>
                        <label>
                        <input type="number" min="30" max="99999999" name="_wcv_timeout_limit" value="<?=get_option('_wcv_timeout_limit', '300')?>" /></label>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?=__('Position', 'counter-visitor-for-woocommerce')?></th>
                    <td>
                        <label>
                            <select name="_wcv_position">
                                <option value="woocommerce_after_add_to_cart_button" <?=selected('woocommerce_after_add_to_cart_button',$currentPosition);?>><?=__('After cart button','counter-visitor-for-woocommerce')?></option>
                                <option value="woocommerce_before_add_to_cart_button" <?=selected('woocommerce_before_add_to_cart_button',$currentPosition);?>><?=__('Before cart button','counter-visitor-for-woocommerce')?></option>
                                <option value="woocommerce_product_meta_end" <?=selected('woocommerce_product_meta_end',$currentPosition);?>><?=__('After product meta','counter-visitor-for-woocommerce')?></option>
                                <option value="woocommerce_before_single_product_summary" <?=selected('woocommerce_before_single_product_summary',$currentPosition);?>><?=__('Before product summary','counter-visitor-for-woocommerce')?></option>
                                <option value="woocommerce_after_single_product_summary" <?=selected('woocommerce_after_single_product_summary',$currentPosition);?>><?=__('After product summary','counter-visitor-for-woocommerce')?></option>
                                <option value="woocommerce_product_thumbnails" <?=selected('woocommerce_product_thumbnails',$currentPosition);?>><?=__('Product Thumbnail (may not work)','counter-visitor-for-woocommerce')?></option>
                            </select>
                        </label>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?=__('Icon', 'counter-visitor-for-woocommerce')?>
                        <p class="description"><?=__('You can use always icon, fontawesome, only class name for example: fas fa-eye','counter-visitor-for-woocommerce')?></p>
                    </th>
                    <td>
                        <label>
                        <input type="text" name="_wcv_icon" value="<?=get_option('_wcv_icon','dashicons dashicons-visibility')?>" /></label>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?=__('Message more than one user', 'counter-visitor-for-woocommerce')?>
                        <p class="description"><?=__('%n is replaced by number visitors','counter-visitor-for-woocommerce')?></p>
                    </th>
                    <td>
                        <label>
                        <textarea type="text" style="width:250px;height:250px;" name="_wcv_message"><?=get_option('_wcv_message', __('%n people are viewing this product'))?></textarea></label>
                    </td>
                </tr>
                <tr valign="top">
                    <th scope="row"><?=__('Message only one user', 'counter-visitor-for-woocommerce')?>
                    </th>
                    <td>
                        <label>
                        <textarea type="text" style="width:250px;height:250px;" name="_wcv_message_one"><?=get_option('_wcv_message_one', __('1 user are viewing this product'))?></textarea></label>
                    </td>
                </tr>
            </table>
            <input type="submit" class="button" value="<?=__('Save','counter-visitor-for-woocommerce')?>" />
        </form>

        <h2><?=__('Need style?', 'counter-visitor-for-woocommerce')?></h2>
        <p><?=__('Enjoy! Paste this CSS code into your Customizer and edit as you like','counter-visitor-for-woocommerce')?></p>
<pre>
.wcv-message {
    display: block;
    padding: 10px;
    background: #c5c5c5;
    border-radius: 10px;
    color: #4f4f4f;
    margin: 10px 0px;
}

.wcv-message span.icon {
    margin-right: 10px;
    display: inline-block;
    vertical-align: middle;
}

</pre>
    <?php
    }
    
    ?>

</div>